For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Logo
LoginSandbox
Platform GuidesAPI DocsSDKMCP ServerChangelog
Platform GuidesAPI DocsSDKMCP ServerChangelog
  • Solvimon API
    • Base URL
    • Authentication
    • HTTP status codes
    • Resources
    • Standardisation
  • Configuration API
      • GETGet a list of all billing entities
      • POSTCreate a billing entity
      • PUTUpdate or create a billing entity (upsert)
      • GETGet a billing entity
      • PATCHUpdate a billing entity
  • Identity API
  • Transaction API
  • Event API
LoginSandbox
Configuration APIBilling Entities

Create a billing entity

POST
/v:version/billing-entities
POST
/v:version/billing-entities
$curl -X POST https://test.api.solvimon.com/v1/billing-entities \
> -H "X-API-KEY: <apiKey>" \
> -H "Content-Type: application/json" \
> -d '{
> "reference": "Expense_NL",
> "timezone": "GMT+1",
> "legal_name": "ExpenseIt B.V.",
> "tax_id": "12345678",
> "registered_address": {
> "line1": "Daalsesingel 51",
> "line2": "",
> "city": "Utrecht",
> "postal_code": "3511SW",
> "state": "Utrecht",
> "country": "NL"
> },
> "email": "info@expense.nl",
> "tax_registrations": [
> {
> "description": "Frederiksplein Amsterdam Tax Registration",
> "tax_id": "NL000099998B57",
> "registration_number": "86385879",
> "registered_address": {
> "line1": "Frederiksplein 61",
> "line2": "",
> "city": "Amsterdam",
> "postal_code": "1017 XL",
> "state": "Noord-Holland",
> "country": "NL"
> }
> }
> ]
>}'
1{
2 "object_type": "string",
3 "id": "string",
4 "created_at": "string",
5 "reference": "string",
6 "status": "string",
7 "timezone": "string",
8 "legal_name": "string",
9 "tax_id": "string",
10 "tax_ids": [
11 {
12 "id": "string",
13 "type": "GENERIC_TAX_ID",
14 "display_name": "string",
15 "tax_id_validation_result": {
16 "id": "string",
17 "validation_date": "string",
18 "source": "string",
19 "valid": "VALID",
20 "message": "string"
21 }
22 }
23 ],
24 "registration_number": "string",
25 "registered_address": {
26 "line1": "string",
27 "line2": "string",
28 "city": "string",
29 "postal_code": "string",
30 "state": "string",
31 "country": "AD"
32 },
33 "email": "string",
34 "tax_settings": {
35 "apply_local_vat_for_missing_tax_id": true
36 },
37 "tax_registrations": [
38 {
39 "id": "string",
40 "description": "string",
41 "tax_id": "string",
42 "tax_ids": [
43 {
44 "id": "string",
45 "type": "GENERIC_TAX_ID",
46 "display_name": "string",
47 "tax_id_validation_result": {
48 "id": "string",
49 "validation_date": "string",
50 "source": "string",
51 "valid": "VALID",
52 "message": "string"
53 }
54 }
55 ],
56 "registration_number": "string",
57 "registered_address": {
58 "line1": "string",
59 "line2": "string",
60 "city": "string",
61 "postal_code": "string",
62 "state": "string",
63 "country": "AD"
64 }
65 }
66 ],
67 "custom_fields": [
68 {
69 "id": "string",
70 "reference": "string",
71 "value": "string",
72 "values": [
73 "string"
74 ],
75 "integration_details": {
76 "id": "string",
77 "reference": "string",
78 "payment_gateway_variant": "ADYEN",
79 "adyen": {
80 "recurring_detail_reference": "string"
81 },
82 "stripe": {
83 "payment_method_id": "string"
84 }
85 }
86 }
87 ],
88 "default_customer_country_selector": [
89 "AD"
90 ],
91 "default_billing_currency_selector": [
92 "AED"
93 ],
94 "linked_integrations": [
95 {
96 "id": "string",
97 "link_details": [
98 {
99 "url": "string",
100 "custom_field_name": "string"
101 }
102 ]
103 }
104 ]
105}

Requires the BILLING_ENTITY.CREATE permission.

Was this page helpful?
Previous

Update or create a billing entity (upsert)

Next
Built with

Authentication

X-API-KEYstring
API Key authentication via header
OR
AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

versionstringRequiredDefaults to 1
version

Headers

x-platform-idstringOptional
Platform ID.

Request

This endpoint expects an object.
referencestringRequiredformat: "^\S+$"0-256 characters
statusstring or nullOptional
timezonestring or nullOptional
legal_namestring or nullOptional
The legal name of the billing entity.
tax_idstring or nullOptionalformat: "^[a-zA-Z0-9\-]*"0-256 characters
The ID used for tax purposes of the billing entity.
tax_idslist of objects or nullOptional
Tax IDs used for tax purposes of the billing entity
registration_numberstring or nullOptional
The registration number of the billing entity.
registered_addressobjectOptional
The address associated with the billing entity.
emailstring or nullOptionalformat: "(\S*@\S*\..*)"0-256 characters
The email address of the billing entity.
tax_settingsobjectOptional
Customise tax settings for this Billing Entity
tax_registrationslist of objects or nullOptional
Extra tax registrations for this billing entity
custom_fieldslist of objects or nullOptional
default_customer_country_selectorlist of enums or nullOptional
default_billing_currency_selectorlist of enums or nullOptional
linked_integrationslist of objects or nullOptional

Response

Created
object_typestring or nullRead-only
idstring or nullRead-only
created_atstring or nullRead-only
referencestringformat: "^\S+$"0-256 characters
statusstring or null
timezonestring or null
legal_namestring or null
The legal name of the billing entity.
tax_idstring or nullformat: "^[a-zA-Z0-9\-]*"0-256 characters
The ID used for tax purposes of the billing entity.
tax_idslist of objects or null
Tax IDs used for tax purposes of the billing entity
registration_numberstring or null
The registration number of the billing entity.
registered_addressobject
The address associated with the billing entity.
emailstring or nullformat: "(\S*@\S*\..*)"0-256 characters
The email address of the billing entity.
tax_settingsobject
Customise tax settings for this Billing Entity
tax_registrationslist of objects or null
Extra tax registrations for this billing entity
custom_fieldslist of objects or null
default_customer_country_selectorlist of enums or null
default_billing_currency_selectorlist of enums or null
linked_integrationslist of objects or null

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
409
Conflict Error
500
Internal Server Error